From 2fbbe428c25d7d12ad7d818ef5d00fe7c8085433 Mon Sep 17 00:00:00 2001
From: EC2 Default User <ec2-user@ip-172-31-26-221.ec2.internal>
Date: Mon, 24 Apr 2023 16:04:45 +0000
Subject: [PATCH 1/1] Fix documentation for work_mem

A couple of small documentation fixes to clear
up terminology used in the work_mem documentation.

The removal of the usage of "parallel"
as it does not refer to parallel query in the context
of work_mem. Also, a clarification on the memory used
by hash tables.

Discussion: https://www.postgresql.org/message-id/flat/66590882-F48C-4A25-83E3-73792CF8C51F%40amazon.com
---
 doc/src/sgml/config.sgml | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 091a79d4f3..bafda1c53a 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -1897,8 +1897,9 @@ include_dir 'conf.d'
         (such as a sort or hash table) before writing to temporary disk files.
         If this value is specified without units, it is taken as kilobytes.
         The default value is four megabytes (<literal>4MB</literal>).
-        Note that for a complex query, several sort or hash operations might be
-        running in parallel; each operation will generally be allowed
+        Note that a complex query may include several sort and hash operations,
+        and more than one of these operations may be in progress simultaneously
+        for a given query execution; each such operation will generally be allowed
         to use as much memory as this value specifies before it starts
         to write data into temporary files.  Also, several running
         sessions could be doing such operations concurrently.
@@ -1914,7 +1915,7 @@ include_dir 'conf.d'
        <para>
         Hash-based operations are generally more sensitive to memory
         availability than equivalent sort-based operations.  The
-        memory available for hash tables is computed by multiplying
+        memory limit for hash tables is computed by multiplying
         <varname>work_mem</varname> by
         <varname>hash_mem_multiplier</varname>.  This makes it
         possible for hash-based operations to use an amount of memory
-- 
2.39.2

